Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 622030

Summary: new package mask on vmware-workstation, vmware-modules, vmware-tools and vmware-player are too broad
Product: Gentoo Linux Reporter: Harris Landgarten <harrisl>
Component: OverlaysAssignee: Gentoo VMWare Bug Squashers [disabled] <vmware+disabled>
Status: RESOLVED OBSOLETE    
Severity: normal CC: alanh, bugzilla, Manfred.Knick, orodruinlair, phmagic
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Harris Landgarten 2017-06-17 13:44:08 UTC
The new mask effectively masks everything vmware everywhere including the vmware-overlay which has the current versions of programs.

cw vmware-workstation
* app-emulation/vmware-workstation
    ::gentoo                  (9.0.3.1410761)R(~) (10.0.6.2700073-r1)R(~) (11.1.2.2780323-r4)R(~) (11.1.3.3206955-r3)R(~) (11.1.3.3206955-r4)R(~) (12.1.0.3272444-r2)R(~) {:0}
    ::installed               12.5.6.5528349 {:0}
    ::layman                  (12.1.1.3770994 (in ::calculate))X {:0}
    ::vmware                  (11.1.3.3206955-r3)R(~) (11.1.3.3206955-r4)R(~) (11.1.4.3848939)R(~) (12.1.1.3770994)R(~) (12.5.6.5528349)R(~)* {:0}
Comment 1 Bob Johnson 2017-06-17 15:44:29 UTC
Same here.
Comment 2 Manfred Knick 2017-06-25 20:58:52 UTC
Referernce:

. . . [ https://bugs.gentoo.org/show_bug.cgi?id=619398#c9 ]
Comment 3 Manfred Knick 2017-11-30 10:54:16 UTC
VMware Products have been removed from Main Portage Tree during Nov-2017.

Further development has been relegated to [vmware] Overlay.

Situation as of today, 30-Nov-2017:
Workstation : stable in [vmware] = 12.5.8  / released = 14.0.0  : Bug 634770
Player      : stable in [vmware] = 12.5.8  / released = 14.0.0  : Bug 639162
Modules     : stable in [vmware] = 308.5.8 / released = 329.0.0 : Bug 634862
Tools       : stable in [vmware] = 10.1.6  / released = 10.1.15 : Bug 634854